zenilib: AF_ScalerRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
AF_ScalerRec_ Struct Reference

`#include <aftypes.h>`

## Public Attributes

FT_Face | face
FT_UInt32 | flags
FT_Render_Mode | render_mode
FT_Pos | x_delta
FT_Fixed | x_scale
FT_Pos | y_delta
FT_Fixed | y_scale

## Detailed Description

Definition at line 180 of file aftypes.h.

## Member Data Documentation

FT_Face AF_ScalerRec_::face

Definition at line 182 of file aftypes.h.

Referenced by af_latin2_hints_init(), af_latin2_metrics_init_widths(), af_latin_hints_init(), af_latin_metrics_init_widths(), and af_loader_load_glyph().

FT_UInt32 AF_ScalerRec_::flags

Definition at line 188 of file aftypes.h.

Referenced by af_latin2_metrics_init_widths(), af_latin_metrics_init_widths(), and af_loader_load_glyph().

FT_Render_Mode AF_ScalerRec_::render_mode

Definition at line 187 of file aftypes.h.

Referenced by af_latin2_hints_apply(), af_latin2_hints_init(), af_latin2_metrics_init_widths(), af_latin_hints_apply(), af_latin_hints_init(), af_latin_metrics_init_widths(), af_loader_load_g(), and af_loader_load_glyph().

FT_Pos AF_ScalerRec_::x_delta

Definition at line 185 of file aftypes.h.

Referenced by af_latin2_metrics_init_widths(), af_latin2_metrics_scale_dim(), af_latin_metrics_init_widths(), af_latin_metrics_scale_dim(), and af_loader_load_glyph().

FT_Fixed AF_ScalerRec_::x_scale

Definition at line 183 of file aftypes.h.

Referenced by af_latin2_metrics_init_widths(), af_latin2_metrics_scale_dim(), af_latin_metrics_init_widths(), af_latin_metrics_scale_dim(), af_loader_load_g(), and af_loader_load_glyph().

FT_Pos AF_ScalerRec_::y_delta

Definition at line 186 of file aftypes.h.

Referenced by af_latin2_metrics_init_widths(), af_latin2_metrics_scale_dim(), af_latin_metrics_init_widths(), af_latin_metrics_scale_dim(), and af_loader_load_glyph().

FT_Fixed AF_ScalerRec_::y_scale

Definition at line 184 of file aftypes.h.

Referenced by af_latin2_metrics_init_widths(), af_latin2_metrics_scale_dim(), af_latin_metrics_init_widths(), af_latin_metrics_scale_dim(), af_loader_load_g(), and af_loader_load_glyph().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/src/autofit/aftypes.h